/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;
import net.northking.cctp.common.db.Partition;
import org.springframework.data.annotation.Transient;

import java.util.Date;


/**
 * 脚本信息同步表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-11-25 11:15:19  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "脚本信息同步表")
public class DwAtuScriptInfo extends Partition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_scriptType = "scriptType";
  public static final String KEY_scriptName = "scriptName";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_isDeleted = "isDeleted";
  public static final String KEY_scriptManager = "scriptManager";
  public static final String KEY_testTeamManager = "testTeamManager";
  public static final String KEY_scriptManagerOperCode = "scriptManagerOperCode";
  public static final String KEY_scriptManagerCompany = "scriptManagerCompany";
  public static final String KEY_projectName = "projectName";
  public static final String KEY_testTeam = "testTeam";

  public static final String KEY_testTeamId = "testTeamId";
  public static final String KEY_scriptCode = "scriptCode";

  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_scriptManagerId = "scriptManagerId";

  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 32, message="-id: 数据长度不能 > 32" )
  private String id;
  /**
   * <br>
   */
  @ApiModelProperty("")
  private Integer scriptType;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 50, message="-scriptName: 数据长度不能 > 50" )
  private String scriptName;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 32, message="-tenantId: 数据长度不能 > 32" )
  private String tenantId;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 32, message="-projectId: 数据长度不能 > 32" )
  private String projectId;
  /**
   * <br>
   */
  @ApiModelProperty("")
  private Integer isDeleted;
  /**
   * 更新时间<br>
   */
  @Transient
  @ApiModelProperty("更新时间")
  private Date updatedTime;


  private String scriptManager;
  private String testTeam;
  private String testTeamManager;
  private String scriptManagerOperCode;
  private String scriptManagerCompany;
  private String projectName;

  private String testTeamId;
  private String scriptCode;

  private Date createdTime;

  private String scriptManagerId;

  public String getUpdatedBy() {
    return updatedBy;
  }

  public void setUpdatedBy(String updatedBy) {
    this.updatedBy = updatedBy;
  }

  private String updatedBy;
  @Transient
  public Date getUpdatedTime() {
    return updatedTime;
  }

  public void setUpdatedTime(Date updatedTime) {
    this.updatedTime = updatedTime;
  }

  /**
   * <br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * <br>
   */
  public Integer getScriptType()
  {
      return scriptType;
    }

  /**
   * <br>
   *
   * @param scriptType 
   */
  public void setScriptType(Integer scriptType)
  {
      this.scriptType = scriptType;
    }
  /**
   * <br>
   */
  public String getScriptName()
  {
      return scriptName;
    }

  /**
   * <br>
   *
   * @param scriptName 
   */
  public void setScriptName(String scriptName)
  {
      this.scriptName = scriptName;
    }
  /**
   * <br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * <br>
   *
   * @param tenantId 
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * <br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * <br>
   *
   * @param projectId 
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * <br>
   */
  public Integer getIsDeleted()
  {
      return isDeleted;
    }

  /**
   * <br>
   *
   * @param isDeleted 
   */
  public void setIsDeleted(Integer isDeleted)
  {
      this.isDeleted = isDeleted;
    }

  public String getScriptManager() {
    return scriptManager;
  }

  public void setScriptManager(String scriptManager) {
    this.scriptManager = scriptManager;
  }

  public String getTestTeam() {
    return testTeam;
  }

  public void setTestTeam(String testTeam) {
    this.testTeam = testTeam;
  }

  public String getTestTeamManager() {
    return testTeamManager;
  }

  public void setTestTeamManager(String testTeamManager) {
    this.testTeamManager = testTeamManager;
  }

  public String getScriptManagerOperCode() {
    return scriptManagerOperCode;
  }

  public void setScriptManagerOperCode(String scriptManagerOperCode) {
    this.scriptManagerOperCode = scriptManagerOperCode;
  }

  public String getScriptManagerCompany() {
    return scriptManagerCompany;
  }

  public void setScriptManagerCompany(String scriptManagerCompany) {
    this.scriptManagerCompany = scriptManagerCompany;
  }

  public String getProjectName() {
    return projectName;
  }

  public void setProjectName(String projectName) {
    this.projectName = projectName;
  }

  public String getTestTeamId() {
    return testTeamId;
  }

  public void setTestTeamId(String testTeamId) {
    this.testTeamId = testTeamId;
  }

  public String getScriptCode() {
    return scriptCode;
  }

  public void setScriptCode(String scriptCode) {
    this.scriptCode = scriptCode;
  }

  public Date getCreatedTime() {
    return createdTime;
  }

  public void setCreatedTime(Date createdTime) {
    this.createdTime = createdTime;
  }
  public String getScriptManagerId() {
    return scriptManagerId;
  }

  public void setScriptManagerId(String scriptManagerId) {
    this.scriptManagerId = scriptManagerId;
  }
  public DwAtuScriptInfo()
  {
  }

}
